package org.jboss.jca.embedded.dsl.datasources10.api; 

/**
 * This class implements the <code> track-statementsType </code> xsd type 
 */
public enum TrackStatementsType
{
   _TRUE("true"),
   _FALSE("false"),
   _NOWARN("nowarn");

   private String value;

   TrackStatementsType (String value) { this.value = value; }

   public String toString() {return value;}

   public static TrackStatementsType getFromStringValue(String value)
   {
      for(TrackStatementsType type: TrackStatementsType.values())
      {
         if(value != null && type.toString().equals(value))
        { return type;}
      }
      return null;
   }

}

